/*
Plugin Name: Very Simple File Upload
Plugin URI:  http://wpdemo.dovi42.hu/very-simple-file-upload
Description: You can use this simple plugin to upload a file to the server's file system.
Version:     0.05
Author:      Dovi42
Author URI:  http://dovi42.hu/
License:     GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: very-simple-file-upload
Generator:   WP Creator - http://wpcreator.hu - 2020-07-05 11:22:01
*/



jQuery(document).ready(function() {

	jQuery('[data-plugin]').each(function(){
		if (jQuery(this).attr('data-plugin') == 'very-simple-file-upload') {
            var token = jQuery(this).attr('data-token');
    		if (typeof token !== 'undefined' && token !== null) {

                jQuery('#files_upload_'+token).on('submit',(function(e) {
                    e.preventDefault();
                    
                    var token = jQuery(this).closest('div').attr('data-token');
                    jQuery('#myfile_'+token).hide();
                    
                    jQuery('#very_simple_upload_wait_'+token).show();
                    
                    jQuery.ajax({
                        url  : very_simple_file_upload_989_ajax_object.ajax_url,
                        type : "POST",
                        data :  new FormData(this),
                        contentType: false,
                        cache: false,
                        processData:false,
                        dataType : 'json',
                        beforeSend : function() {
                            //$("#preview").fadeOut();
                            jQuery("#err").fadeOut();
                        },
                        success: function(data, result) {
                            if (data.status == 1) {
                                jQuery('#myfile').val('');
                                var html = '<div class="very-simple-file-upload-ok" role="alert">'+data.message+'</div>';
                                jQuery("#err").html(html).slideDown();
                                setTimeout(function(){ 
                                    jQuery("#err").html('').slideUp(); 
                                }, 5000);

                                var fn = window['download_from_files_617_refresh']; 
                                if(typeof fn === 'function') {
                                    download_from_files_617_refresh();
                                }
                                var fn = window['download_from_files_617_browse_refresh']; 
                                if(typeof fn === 'function') {
                                    download_from_files_617_browse_refresh();
                                }
                            } else {
                                // jQuery('#download-job-gauge').fadeOut();
                                var html = '<div class="very-simple-file-upload-error" role="alert">'+data.message+'</div>';
                                jQuery("#err").html(html).slideDown();
                                setTimeout(function(){ 
                                    jQuery("#err").html('').slideUp(); 
                                }, 5000);
                            }
                            jQuery('#description_'+data.token).val('');
                            jQuery('#myfile_'+data.token).val('');
                            jQuery('#very_simple_upload_wait_'+data.token).hide();
                            jQuery('#myfile_'+data.token).show();
                        },
                        error: function(e) {
                            jQuery("#err").html(e).fadeIn();
                        }          
                    });
                }));
    			
                
    		}
		}
	});
});

function very_simple_file_upload_989_call_ajax_sample(token, data) {

    var data = {
            action : 'very_simple_file_upload_989_call_ajax_function',
            variables : data,
            token     : token
        };

    jQuery.ajax({
        url      : very_simple_file_upload_989_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            if (data.status == 1) {
                // Status OK
                jQuery('#very_simple_file_upload_'+data.token).html(data.html);
            } else {
                console.log(data);
            }
        },
        error: function (request, status, error) {
            alert('AJAX error : ' + status);
        } 
    });
}